﻿Imports System.Data
Imports System.Data.SqlServerCe
Imports System.Data.SqlTypes
Imports System.Drawing
Imports System.ComponentModel
Imports System.Windows.Forms

Public Class frmHome
    ' By http://www.thaicreate.com (mr.win)'
    Private Sub frmHome_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        BindDataGrid()
    End Sub

    Private Sub BindDataGrid()

        Dim myConnection As SqlCeConnection
        Dim dt As New DataTable
        Dim Adapter As SqlCeDataAdapter
        myConnection = New SqlCeConnection("Data Source =" _
            + (System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly.GetName.CodeBase) + "\AppDatabase1.sdf;"))
        myConnection.Open()
        Dim myCommand As SqlCeCommand = myConnection.CreateCommand()
        myCommand.CommandText = "SELECT [id], [name], [email] FROM [mytable]"
        myCommand.CommandType = CommandType.Text

        Adapter = New SqlCeDataAdapter(myCommand)
        Adapter.Fill(dt)

        myConnection.Close()

        Dim tableStyle As New DataGridTableStyle()
        tableStyle.MappingName = dt.TableName


        Dim column As New DataGridTextBoxColumn()
        column.MappingName = "id"
        column.HeaderText = "ID"
        column.Width = 30
        tableStyle.GridColumnStyles.Add(column)

        column = New DataGridTextBoxColumn()
        column.MappingName = "name"
        column.HeaderText = "Name"
        column.Width = 40
        tableStyle.GridColumnStyles.Add(column)

        column = New DataGridTextBoxColumn()
        column.Width = 70
        column.MappingName = "email"
        column.HeaderText = "Email"
        tableStyle.GridColumnStyles.Add(column)

        Me.dgName.DataSource = dt

        Me.dgName.TableStyles.Clear()
        Me.dgName.TableStyles.Add(tableStyle)

        dt = Nothing

    End Sub

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        Dim f As New frmAdd
        f.Show()
    End Sub

    Private Sub btnEdit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEdit.Click
        Dim f As New frmEdit
        f._strID = Me.dgName(Me.dgName.CurrentRowIndex, 0)
        f.Show()
    End Sub

    Private Sub btnDel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDel.Click

        If MessageBox.Show("Are you sure to delete?", "Confirm.", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) = DialogResult.Yes Then

            Dim strID As String = Me.dgName(Me.dgName.CurrentRowIndex, 0)

            Dim myConnection As SqlCeConnection
            myConnection = New SqlCeConnection("Data Source =" _
                + (System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly.GetName.CodeBase) + "\AppDatabase1.sdf;"))
            myConnection.Open()
            Dim myCommand As SqlCeCommand = myConnection.CreateCommand()
            myCommand.CommandText = "DELETE FROM [mytable] WHERE id = '" & strID & "'"
            myCommand.CommandType = CommandType.Text
            myCommand.ExecuteNonQuery()
            myConnection.Close()
            MessageBox.Show("Delete Successfuly")

            BindDataGrid()
        End If

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Dim f As New frmMain
        f.Show()
    End Sub

End Class