﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlServerCe;
using System.Data.SqlTypes;

namespace SmartDeviceProject
{
    public partial class frmHome : Form
    {
        // By http://www.thaicreate.com (mr.win)//

        public frmHome()
        {
            InitializeComponent();
        }

        private void frmHome_Load(object sender, EventArgs e)
        {
            BindDataGrid();
        }

        private void BindDataGrid()
        {
                SqlCeConnection myConnection = default(SqlCeConnection);
                DataTable dt = new DataTable();
                SqlCeDataAdapter Adapter = default(SqlCeDataAdapter);
                myConnection = new SqlCeConnection("Data Source =" + (System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase) + "\\AppDatabase1.sdf;"));
                myConnection.Open();
                SqlCeCommand myCommand = myConnection.CreateCommand();
                myCommand.CommandText = "SELECT [id], [name], [email] FROM [mytable]";
                myCommand.CommandType = CommandType.Text;

                Adapter = new SqlCeDataAdapter(myCommand);
                Adapter.Fill(dt);

                myConnection.Close();

                DataGridTableStyle tableStyle = new DataGridTableStyle();
                tableStyle.MappingName = dt.TableName;


                DataGridTextBoxColumn column = new DataGridTextBoxColumn();
                column.MappingName = "id";
                column.HeaderText = "ID";
                column.Width = 30;
                tableStyle.GridColumnStyles.Add(column);

                column = new DataGridTextBoxColumn();
                column.MappingName = "name";
                column.HeaderText = "Name";
                column.Width = 40;
                tableStyle.GridColumnStyles.Add(column);

                column = new DataGridTextBoxColumn();
                column.Width = 70;
                column.MappingName = "email";
                column.HeaderText = "Email";
                tableStyle.GridColumnStyles.Add(column);

                this.dgName.DataSource = dt;

                this.dgName.TableStyles.Clear();
                this.dgName.TableStyles.Add(tableStyle);

                dt = null;
        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            frmAdd f = new frmAdd();
            f.Show();
        }

        private void btnEdit_Click(object sender, EventArgs e)
        {
                   frmEdit f =  new frmEdit();
                    f._strID = this.dgName[this.dgName.CurrentRowIndex, 0].ToString();
                    f.Show();
        }

        private void btnDel_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Are you sure to delete?", "Confirm.", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == DialogResult.Yes)
            {
                string strID = this.dgName[this.dgName.CurrentRowIndex, 0].ToString();

                SqlCeConnection myConnection = default(SqlCeConnection);
                myConnection = new SqlCeConnection("Data Source =" + (System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase) + "\\AppDatabase1.sdf;"));
                myConnection.Open();
                SqlCeCommand myCommand = myConnection.CreateCommand();
                myCommand.CommandText = "DELETE FROM [mytable] WHERE id = '" + strID + "'";
                myCommand.CommandType = CommandType.Text;
                myCommand.ExecuteNonQuery();
                myConnection.Close();
                MessageBox.Show("Delete Successfuly");

                BindDataGrid();
            }
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            frmMain f =  new frmMain();
            f.Show();
        }

    }
}